#pragma once
#include "agk.h"
#include "ImGui_Device/ImGui_Device.h"
#include "cShape.h"

using namespace AGK;

class ImGui_DeviceAGK : public ImGui_Device
{
	cImage* m_pFontTexture = NULL;
	cShape* m_pRenderer = NULL;

public:
	ImGui_DeviceAGK();
	~ImGui_DeviceAGK();

	bool IsMouseMoved();
	bool IsMouseWheel();

	virtual void SetClipboardText(void* user_data, const char* text) override;
	virtual const char* GetClipboardText(void* user_data) override;

	// Geerbt über ImGui_Device
	virtual void Init() override;
	virtual void NewFrame() override;
	virtual void Render() override;
	virtual void DrawData(ImDrawData* draw_data) override;
	virtual bool ProcessInputs() override;
	virtual bool CreateDeviceObjects() override;
	virtual bool CreateFontsTexture() override;
};

